package model

type Domain struct {
	Id           uint   `gorm:"primary_key;auto_increment"`
	Name         string `gorm:"type:varchar(255);not null"`
	Hosts        string `gorm:"type:varchar(255);not null"`
	Provider     string `gorm:"type:varchar(32);not null;default:''"`
	ProviderConf string `gorm:"type:text;not null;default:''"`
	Resource     string `gorm:"type:text;not null;default:''"`
}
