package model

type AcmeUser struct {
	Id           uint   `gorm:"primary_key;auto_increment"`
	Email        string `gorm:"type:varchar(255);not null;index:idx_email,unique"`
	PrivateKey   string `gorm:"type:text;not null"`
	Registration string `gorm:"type:text;not null"`
	Status       int    `gorm:"type:int;not null"`
}
